<?
/**
 * PostgresSQL connection to database server and selected database
 * Sets persistent connection if $this->persistent is true
 * 
 * @access private 
 */

if($this->persistent == 1)
{
	$this->connectionId = @pg_pconnect( "host=$this->host dbname=$this->database user=$this->username password=$this->password" );
}
else
{
	if($this->forcenewconnection)
	{
		$this->connectionId = @pg_connect( "host=$this->host dbname=$this->database user=$this->username password=$this->password" );
	}
	else
	{
		$this->connectionId = @pg_connect( "host=$this->host dbname=$this->database user=$this->username password=$this->password", PGSQL_CONNECT_FORCE_NEW );
	}
}

if ($this->connectionId === false)
{
	$result = false;
}
else
{
	$result = true;
}
?>